{
  "criteria": {
    "player_slept": {
      "trigger": "minecraft:slept_in_bed"
    }
  },
  "requirements": [
    [
      "player_slept"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/operations/player_slept"
  }
}